商品SKU紐づけ削除
DELETE
/products/{product_id}/product_classes/{product_class_id}/sku_sets/{product_sku_code}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/products/example/product_classes/example/sku_sets/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/products/example/product_classes/example/sku_sets/example \ --header 'Authorization: Bearer <token>'商品SKU紐づけを削除します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品ID
product_class_id
required
string
商品規格ID
product_sku_code
required
string
商品SKUコード
Responses
Section titled “Responses”削除成功
指定された項目が不正な場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Example指定された項目が不正な場合
{ "type": "about:blank", "title": "BadRequest", "detail": [ "指定された項目が不正です: invalidKey" ], "status": 400}指定された商品SKU紐づけが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Example指定された商品SKU紐づけが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}サーバー内部エラー
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Exampledefault
{ "type": "about:blank", "title": "InternalServerError", "status": 500}